Gecode::Int::GCC::MinInc< View > Class Template Reference
Other available functionality » Integer propagators » Support for GCC bounds propagation

Compares two indices i, j of two views according to the ascending order of the views lower bounds. More...

`#include <bnd-sup.hpp>`

## Public Member Functions

| MinInc (const ViewArray< View > &x0)
| Constructor.
bool | operator() (const int i, const int j)
| Comparison.

## Protected Attributes

ViewArray< View > | x
| View array for comparison.

## Detailed Description

template<class View>
class Gecode::Int::GCC::MinInc< View >

Compares two indices i, j of two views according to the ascending order of the views lower bounds.

Definition at line 199 of file bnd-sup.hpp.

## Constructor & Destructor Documentation

## MinInc()

template<class View>

Gecode::Int::GCC::MinInc< View >::MinInc | ( | const ViewArray< View > & | x0 | ) |

inline

Constructor.

Definition at line 205 of file bnd-sup.hpp.

## Member Function Documentation

## operator()()

template<class View>

bool Gecode::Int::GCC::MinInc< View >::operator() | ( | const int | i,
|  | const int | j )

inline

Comparison.

Definition at line 208 of file bnd-sup.hpp.

## Member Data Documentation

## x

template<class View>

ViewArray<View> Gecode::Int::GCC::MinInc< View >::x

protected

View array for comparison.

Definition at line 202 of file bnd-sup.hpp.

The documentation for this class was generated from the following file:

- gecode/int/gcc/bnd-sup.hpp